.header {
    font-size: 28px;
    margin: 0;
    text-decoration: none;
    color: black;
}

.topbar {
    width: 100%;
    position: fixed;
    top: 0px;
    left: 0px;
    background-color: rgb(152, 207, 227);
    height: 50px;
    z-index: 50;
    transition-property: background-color, box-shadow;
    transition-duration: 0.25s;
    transition-timing-function: linear; /*cubic-bezier(0, 1, 0.5, 1);*/
}

.topbar.scrolled {
    box-shadow: 0 5px 5px 0px rgba(0,0,0,.1);
    background-color: rgba(255, 255, 255, .8);
}

.menuButton {
    width: 42px;
    height: 42px;
    display: none;
    background-color: white;
    cursor: pointer;
    border: 1px black solid;
    margin: 4px;
}

.topbarContent {
    max-width: 1600px;
    height: 100%;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.linkList {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

.listItem {
    display: inline;
    margin-left: 20px;
}

.link {
    font-size: 20px;
    text-decoration: none;
    color: black;
}

.closeMenuWrapper {
    display: none;
}

@media (max-width: 940px) {
    .menu {
        position: fixed;
        top: 0;
        width: 60vw;
        right: -65vw;
        bottom: 0;
        background-color: white;
        transition-property: right;
        transition-duration: 1.0s;
        transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
        overflow-y: scroll;
        border: 1px black solid;
        box-shadow: 0px 0px 10px 2px rgba(0,0,0,.5);
    }

    .listItem {
        display: block;

        height: 50px;
        line-height: 50px;
        border-bottom: black 1px solid;
        margin: 0;
        padding: 0;
    }
    .link {
        display: block;
        padding-left: 15px;
        width: 100%;
    }

    .menuButton {
        display: block;
    }

    .closeMenuWrapper {
        width: 100%;
        height: 50px;
        border-bottom: black 1px solid;
        display: block;
    }

    .closeMenuButton {
        margin: 0;
        padding: 0;
        background-color: white;
        border: none;
        box-sizing: content-box;
        width: 100%;
        height: 100%;
    }

    .closeMenuImage {
        width: 20px;
        height: 20px;
        display: block;
        margin-left: 15px;
    }

    .topbar.menuOpen .menu {
        right: 0vw;
    }

    .topbar.menuOpen .menuButton {
        display: none;
    }
}
